      REAL FUNCTION SLNG2I(SLONG)
C
C********************************************************************
C
C   NAME- SLNG2I
C
C   LANGUAGE- VS FORTRAN  TYPE- FUNCTION        COMPUTER- CEMSCS
C
C   VERSION- 1.0    DATE- 01/19/95   PROGRAMMER- LEAH CASEY (HUGHES STX)
C   VERSION- 1.2    DATE- 02/08/02   PROGRAMMER- RICKEY ROLLINS (CSC)
C          REDEFINED SLONG AS I*8                                     
C
C   FUNCTION - CONVERTS A LONGITUDE TO A GRID VALUE FROM 1 TO 145.
C
C   CALLING SEQUENCE PARAMETERS-
C     VARIABLE      TYPE    I/O       DEFINITION
C     ---------     ----    ---       ----------
C     SLONG          I*4     I        LONGITUDE.
C
C   LOCAL PARAMTERS-
C     VARIABLE      TYPE      DESCRIPTION
C     --------      ----      -----------
C     XSCALE        R*4       SCALING FACTOR IN X-DIRECTION
C     XOFF          R*4       X OFFSET.
C     SPRIME        R*4
C
C   SUBROUTINES USED- NONE
C
C   FUNCTIONS USED- NONE
C
C   COMMON USED- NONE
C
C********************************************************************
C
C     REAL*4 SLONG, XSCALE, XOFF, SPRIME
      REAL*4 XSCALE, XOFF, SPRIME
      REAL SLONG
C
      DATA XSCALE, XOFF /0.4028, 1.0/
C
      IF (SLONG .LT. 0.0) THEN
        SPRIME = SLONG + 360.0
      ELSE
        SPRIME = SLONG
      END IF
C
      SLNG2I = (SPRIME * XSCALE) + XOFF
C
      RETURN
      END
